#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

int main()
{
    long long int v, pom;
    int niz[]={1,2,5}, i, c, brNov=0;

    scanf("%lld", &v);

    pom=v;
    v=0;
    while(pom)
    {
        v*=10;
        v+=pom%10;
        pom/=10;
    }

    pom=v;
    while(pom)
    {
        c=pom%10;
        for(i=2; i>=0; i--)
        {
            brNov+=c/niz[i];
            c=c%niz[i];
        }
        pom=pom/10;
    }

    printf("%d", brNov);

    return 0;
}